Subject: Re: [RFC 3/3] reset: Change the default behavior to use "--merge" during a merge

From: Andrew Wong <[email-masked]>
Date: Tue, 11 Mar 2014 00:39:43 -0400

On 02/26/14 15:53, Junio C Hamano wrote:
>  - start warning against "reset" (no mode specifier) and "reset --mixed"
>    when the index is unmerged *and* MERGE_HEAD exists; and then
Why do we also want to check if index is unmerged? This situation can
happen regardless of having conflicts or not (--no-commit, aborting the
editor, etc.). As long as the user is in the middle of a merge
(MERGE_HEAD exists), shouldn't they be warned if they used "git reset"?